@media screen and (max-width: 768px) {
    body .nl-route-detail-container .route-item-top-header,
    .search-result-container .route-item-top-header,
    .route-item-top-header {
        flex-wrap: wrap !important;
    }
    .route-item-top-header h3, 
    .route-item-top-header .name,
    .route-item-top-header > div:first-child {
        width: 100% !important;
        margin-bottom: 8px;
    }
}
